#!/bin/sh

VERSION=`autoconf -t AC_INIT | sed -e 's/[^:]*:[^:]*:[^:]*:[^:]*:\([^:]*\):.*/\1/g'`
RELEASENAME=glest-source
RELEASEDIR=release/$RELEASENAME-$VERSION

echo "Creating source package in $RELEASEDIR"

rm -rf $RELEASEDIR
mkdir -p $RELEASEDIR
# copy sources
find glest_game/ \( -name "*.cpp" -o -name "*.h" \) -exec cp -p --parents "{}" $RELEASEDIR ';'
find shared_lib/ \( -name "*.cpp" -o -name "*.h" \) -exec cp -p --parents "{}" $RELEASEDIR ';'
AUTOCONFSTUFF="configure.ac autogen.sh Jamrules Jamfile `find mk/jam -name "*.jam"` `find mk/autoconf -name "*.m4" -o -name "config.*" -o -name "*sh"`"

cp -p --parents $AUTOCONFSTUFF $RELEASEDIR
cp -p ../../docs/README* ../../docs/license.txt $RELEASEDIR
cp -p glest.ini $RELEASEDIR

cd $RELEASEDIR
./autogen.sh
cd -

cd release
tar -c --bzip2 -f $RELEASENAME-$VERSION.tar.bz2 glest-$VERSION
